using System.Collections.Generic;

namespace UserStageExample.FlexiService
{
    /// <summary>
    /// A task model
    /// </summary>
    public class Task
    {
        /// <summary>
        /// A task ID in FlexiCapture
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// A batch ID in FlexiCapture
        /// </summary>
        public int BatchId { get; set; }

        /// <summary>
        /// A set of documents of the task
        /// </summary>
        public Dictionary<int, Document> Documents { get; private set; }

        /// <summary>
        /// Creation of a new task
        /// </summary>
        public Task()
        {
            Documents = new Dictionary<int, Document>();
        }
    }
}